Subject: linux 2.4.33 build question

From: Don Russell <[email-masked]>
Date: Tue, 22 Aug 2006 13:21:06 -0400

Hi,
Id like to build the  2.4.33 version of Linux for the ads8272 board but
I get an error that says I must use an older  gcc version . 

The error comes from init/main.c and rejects anything greater than 3.  
The readme says to use the 2.95 compiler.

I downloaded the ELDK 3.0 and it failed also.  (Its actually 3.1)  There 
doesn't seem to be a 2.95 distro in the ELDK.   So naturally I tried 
taking out the version check and of course it failed elswhere in the build.

 If gcc 2.95  is truly required for building 2.4 , where can I get the 
toolchain, or do I have to build it ?

Does this linux version (2.4) also require an older u-boot?
Thanks